/* ------------------------------------------------ */
/* Custom Functions created for the BLDC Motor FOC  */
/* Andrés Galeote Luque                             */


/* Header file                                      */
/* ------------------------------------------------ */


/* Include files */
#include "define.h"

/* Types definition */
typedef struct
{
    int32_t i32_Kp;
    int32_t i32_Ki;
    int32_t i32_Kd;
    int32_t i32_ErrPre;
    int32_t i32_Integral;
    int32_t i32_OutMax;
    int32_t i32_OutMin;
    int32_t i32_Out;
    int8_t  i8_Sat;
} Pid32_t; 
    
/* Functions definition */
extern void Pid32(Pid32_t * cfg, int32_t err);
extern void Reference_Generator(void);